> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get keypads for organization

> Get a list of all registered keypads for an org



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/keypad/getKeypadsForOrg
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/keypad/getKeypadsForOrg:
    post:
      tags:
        - Alarm Monitoring Keypad Webservice
      summary: Get keypads for organization
      description: Get a list of all registered keypads for an org
      operationId: getKeypadsForOrg
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Keypad_GetKeypadsForOrgWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Keypad_GetKeypadsForOrgWSResponse'
          description: OK
components:
  schemas:
    Keypad_GetKeypadsForOrgWSRequest:
      type: object
      description: Request object for getting all registered keypads for an organization.
    Keypad_GetKeypadsForOrgWSResponse:
      type: object
      description: Response object containing all registered keypads for an organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        keypads:
          type: array
          description: List of all registered keypads for the organization
          items:
            $ref: '#/components/schemas/KeypadConfigType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    KeypadConfigType:
      type: object
      description: List of all registered keypads for the organization
      properties:
        additionalFeaturesDisabled:
          type: boolean
          nullable: true
        appVersionCode:
          type: string
          nullable: true
        appVersionName:
          type: string
          nullable: true
        armCountdownSecs:
          type: integer
          format: int32
          nullable: true
        buildingAdminPhoneNumber:
          type: string
          nullable: true
        connectionState:
          $ref: '#/components/schemas/KeypadConnectionStateEnum'
        floorNumber:
          type: integer
          format: int32
          nullable: true
        ipAddress:
          type: string
          nullable: true
        lastModified:
          type: integer
          format: int64
          nullable: true
        latitude:
          type: number
          format: double
          nullable: true
        locationName:
          type: string
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        logoUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        platform:
          $ref: '#/components/schemas/KeypadPlatformEnum'
        qualifiedAddress:
          $ref: '#/components/schemas/QualifiedAddressType'
        showCallBuildingAdmin:
          type: boolean
          nullable: true
        signalStrength:
          type: integer
          format: int32
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        tz:
          type: string
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        videoWallUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    KeypadConnectionStateEnum:
      type: string
      enum:
        - ONLINE
        - OFFLINE
    KeypadPlatformEnum:
      type: string
      description: The keypad platform (IOS or ANDROID)
      enum:
        - ANDROID
        - IOS
    QualifiedAddressType:
      type: object
      description: Qualified address information for the keypad location
      properties:
        addressLine2:
          type: string
          description: apt, suite, or unit
          nullable: true
        addressline1:
          type: string
          description: street address
          nullable: true
        administrativeArea:
          type: string
          description: state
          nullable: true
        locality:
          type: string
          description: city
          nullable: true
        postalCode:
          type: string
          description: zip code
          nullable: true
        regionCode:
          type: string
          description: country
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````